<?php

class Menu {
 const default_page='sluzby';
 static $menu;
 static $menutext;
 static $topmenuwidth;
 public static function Init() {
  self::$menu['aktuality']=1;
  self::$menu['sluzby']   =2;
  self::$menu['tcm']      =2;
  self::$menu['fyzio']    =2;
  self::$menu['cviceni']  =2;
  self::$menu['rozvrh']   =2;
  self::$menu['rezervace']=2;
  self::$menu['navsluzba']=2;
  self::$menu['poukazy']  =2;
  self::$menu['vzdelani'] =2;
  self::$menu['cenik']    =3;
  self::$menu['kontakt']  =4;
  self::$menu['kon_svp']  =4;
  self::$menutext['aktuality']='Aktuality';
  self::$menutext['sluzby']   ='Poskytované služby';
  self::$menutext['tcm']      ='Tradiční čínská medicína';
  self::$menutext['fyzio']    ='Fyzioterapie';
  self::$menutext['cviceni']  ='Cvičení';
  self::$menutext['rozvrh']   ='Rozvrh cvičení';
  self::$menutext['rezervace']='Rezervace';
  self::$menutext['navsluzba']='Návštěvní služba';
  self::$menutext['poukazy']  ='Dárkové poukazy';
  self::$menutext['vzdelani'] ='Vzdělání';
  self::$menutext['cenik']    ='Ceník';
  self::$menutext['kontakt']  ='Kontakt';
  self::$menutext['kon_svp']  ='Svět pod Palmovkou';
  self::$topmenuwidth['aktuality']=126;
  self::$topmenuwidth['sluzby']=226;
  self::$topmenuwidth['cenik']=102;
  self::$topmenuwidth['kontakt']=118;
 }
 function getPage() {
   $page=$_GET['p'];
   if (empty(Menu::$menu[$page])) {
     $page=Menu::default_page; // default page;
   }
   return $page;
 }
 function getTopPage() {
  return Menu::$menu[self::getPage()];
 }
 function GetMenuItem($f,$page) {
  if (Menu::$menu[$page]==self::getTopPage()) $class=" class='sel'";
  return sprintf ($f
    ,$page,$class,$page,Menu::$menutext[$page]);
 }
 function PrintMenu() {
  $fline="  %s\n";
  $li=" <li id='menu-%s'%s><a href='?p=%s' class='menuitem'>%s</a></li>";
  printf($fline,"<ul>");
  printf($fline,self::GetMenuItem($li,'aktuality'));
  printf($fline,self::GetMenuItem($li,'sluzby'));
  self::printSubMenu('sub-menu-top');
  printf($fline,self::GetMenuItem($li,'cenik'));
  printf($fline,self::GetMenuItem($li,'kontakt'));
  printf($fline,"</ul>");
 }
 static $menuitemclass;
 function printMenuItem($page,$class='') {
   $classsep=(empty($menuitemclass)?'':' '); $class.=$classsep.$menuitemclass;
   $classsep=(empty($class)?'':' ');
   if ($page==Menu::getPage()) { $class.=$classsep."sel'"; $classsep=' '; }
   if (!empty($class)) $class=" class='$class'";
 //  echo "   <li id='menu-$page'$class><a onclick='loadPage(\"$page\");' class='menuitem'>".$menutext[$page]."</a></li>\n";
   printf("   <li id='menu-$page'$class><a href='?p=$page' class='menuitem'>".Menu::$menutext[$page]."</a></li>\n");
 }
 function printMenuSpace() {
   echo "   <li style='height: 12px;'></li>\n";
 }
 function printSubMenu($id='') {
  $submenutop=($id=="sub-menu-top");
  $menuitemclass=$submenutop?"topmenu-sluzby-m":"";
   
   if(!$submenutop) {
    printf("
     <div id='$id'>
      <div id='topmenu-sluzby'".((Menu::getTopPage()!=2)?" style='display:none;'":"").">
       <ul id='side-menu-ul' class='m'>
    ");
   }
   self::printMenuItem('sluzby'   ,''  );
   self::printMenuItem('tcm'      ,''  );
   self::printMenuItem('fyzio'    ,''  );
   self::printMenuSpace();
   self::printMenuItem('cviceni'  ,''  );
   self::printMenuItem('rozvrh'   ,'l2');
   self::printMenuItem('rezervace','l2');
   self::printMenuSpace();
   self::printMenuItem('navsluzba',''  );
   self::printMenuItem('poukazy'  ,''  );
   self::printMenuSpace();
   self::printMenuItem('vzdelani' ,''  );
   if(!$submenutop) {
    printf("
       </ul>
      </div>
     </div>
    ");
   }
 }
}
Menu::Init();

function PrintMenuScript() {
?>

<script type="text/javascript">
var selpage='<?php echo Menu::getPage(); ?>';
var toppage=<?php echo Menu::getTopPage(); ?>;
function getPage(page) {
  switch (page) {
<?php
  foreach (Menu::$menu as $p => $idx) {
    echo "    case '$p': return '$p';\n";
  }
  echo "    default: return '".$default_page."';\n";
?>
  }
}
function getTopPage(page) {
  switch (page) {
<?php
  foreach (Menu::$menu as $p => $idx) {
    echo "    case '$p': return $idx;\n";
    if (empty($revmenu[$idx])) $revmenu[$idx]=$p;
  }
  echo "    default: return ".Menu::$menu[Menu::default_page].";\n";
?>
  }
}
function getTopSection(toppage) {
  switch (toppage) {
<?php
  foreach ($revmenu as $idx => $p) {
    echo "    case $idx: return '$p';\n";
  }
?>
  }
}
</script>

<?php

}

function TopMenuItem($f,$page) {
  if ($page==$_GET['p']) $class=" class='sel'";
  printf ($f
    ,$page,$page,Menu::$topmenuwidth[$page],Menu::$menutext[$page]);
}
function PrintTopMenuOld($typ) {
  if ($typ=='bgtext')
    $f="<li class='$typ' id='bg-menu-%s' style='width: %n%dpx;'>%s</li>";
  if ($typ=='frontitems')
    $f="<li class='$typ' id='menu-%s'><a href='?p=%s' class='menuitem' style='width: %dpx;'>%s</a></li>";
  echo "       ";
  TopMenuItem($f,'aktuality');
  TopMenuItem($f,'sluzby');
  TopMenuItem($f,'cenik');
  TopMenuItem($f,'kontakt');
  echo "\n";
}

?>